const config = require('../../config');
const providers = config.providers;
const crypto = require('crypto');
const bcrypt = require('bcrypt');
const moment = require('moment');

module.exports = function(sequelize, DataTypes) {
  const client_orders = sequelize.define(
    'client_orders',
    {
      id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
      },

status: {
        type: DataTypes.ENUM,

        values: [

"Pending",

"Confirmed",

"Shipped",

"Delivered",

"Cancelled"

        ],

      },

      importHash: {
        type: DataTypes.STRING(255),
        allowNull: true,
        unique: true,
      },
    },
    {
      timestamps: true,
      paranoid: true,
      freezeTableName: true,
    },
  );

  client_orders.associate = (db) => {

    db.client_orders.belongsTo(db.users, {
      as: 'createdBy',
    });

    db.client_orders.belongsTo(db.users, {
      as: 'updatedBy',
    });
  };

  return client_orders;
};

